/*
 * uData API
 * uData API
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.asso.ladoxa.datagouv.models;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * GeoGranularity
 */

public class GeoGranularity {
  @JsonProperty("id")
  private String id = null;

  @JsonProperty("name")
  private String name = null;

  public GeoGranularity id(String id) {
    this.id = id;
    return this;
  }

   /**
   * The granularity identifier
   * @return id
  **/
  @ApiModelProperty(required = true, value = "The granularity identifier")
  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public GeoGranularity name(String name) {
    this.name = name;
    return this;
  }

   /**
   * The granularity name
   * @return name
  **/
  @ApiModelProperty(required = true, value = "The granularity name")
  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    GeoGranularity geoGranularity = (GeoGranularity) o;
    return Objects.equals(this.id, geoGranularity.id) &&
        Objects.equals(this.name, geoGranularity.name);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, name);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class GeoGranularity {\n");

    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

